<%
Option Explicit
'home.asp
'2004-2020 by aspsms.com
%>
<!--#include file="aspsms_xml_vbscript_class.asp"-->
<%

'declare variables
'-------------------------------------------------------

Dim bLogXml

Dim sPasswordFileLocation
Dim sUserkey
Dim sPassword
Dim nAffiliateId
Dim nUsedCredits
Dim sXmlInterfaceUrl
Dim sXmlServicesInterfaceUrl

Dim sRecipient
Dim sTransRefNumber

Dim nNotificationInquirySettingsFormat
Dim sNotificationInquirySettingsSeparator

Dim sOriginator
Dim sOriginatorUnlockCode

Dim bFlashingSMS
Dim bBlinkingSMS
Dim nReplaceMessage

Dim sMessageData

Dim nMCC
Dim nMNC
Dim sURLBinaryFileLogo
Dim sURLBinaryFilePictureMessage
Dim sURLBinaryFileRingtone

Dim sVCardName
Dim sVCardPhoneNumber

Dim sXSer
Dim sMessageDataBinHex

Dim nTimeZone
Dim sDeferredDeliveryTime
Dim nLifeTime 'In Minuten

Dim sURLBufferedMessageNotification
Dim sURLDeliveryNotification
Dim sURLNonDeliveryNotification

Dim sWAPPushDescription
Dim sWAPPushURL

Dim sDestinationUserKey
Dim nDestinationCredits

Dim SMS
Dim rCredits
Dim sNotifications

Dim sRawXml
Dim nTimerStart: nTimerStart = Timer()

'procedures
'-------------------------------------------------------
Function RequestDefault(byVal sKey, byVal aDefaultValue)
    '2004 by aspsms.com
    If Request(sKey) <> "" Then
        RequestDefault = Request(sKey)
    Else
        RequestDefault = aDefaultValue
    End If
End Function


'get values from form or default
'-------------------------------------------------------
bLogXml                               = RequestDefault("LogXml", Null)
sPasswordFileLocation                 = RequestDefault("PasswordFileLocation", "")
sUserkey                              = RequestDefault("Userkey", "")
sPassword                             = RequestDefault("Password", "")
nAffiliateId                          = RequestDefault("AffiliateId", "")

sXmlInterfaceUrl                      = RequestDefault("XmlInterfaceUrl", "https://xml3.aspsms.com/xmlsvr.asp")
sXmlServicesInterfaceUrl              = RequestDefault("XmlServicesInterfaceUrl", "https://xml3.aspsms.com/services.asp")

nUsedCredits                          = RequestDefault("UsedCredits", "0")

sRecipient                            = RequestDefault("Recipient", "")
sTransRefNumber                       = RequestDefault("TransRefNumber", Timer)

nNotificationInquirySettingsFormat    = RequestDefault("NotificationInquirySettingsFormat", 0)
sNotificationInquirySettingsSeparator = RequestDefault("NotificationInquirySettingsSeparator", "|")

sOriginator                           = RequestDefault("Originator", "1234")
sOriginatorUnlockCode                 = RequestDefault("OriginatorUnlockCode", "")

bFlashingSMS                          = RequestDefault("FlashingSMS", "False")
bBlinkingSMS                          = RequestDefault("BlinkingSMS", "False")
nReplaceMessage                       = RequestDefault("ReplaceMessage", "")

sMessageData                          = RequestDefault("MessageData", "TEST MESSAGE")
'sMessageData                          = RequestDefault("MessageData", "")
'sMessageData = "vbCr" & vbCr & "vbCr" & vbCr & "vbCrLf" & vbCrLf & "vbCrLf" & vbCrLf

nMCC                                  = RequestDefault("MCC", "228")
nMNC                                  = RequestDefault("MNC", "2")
sURLBinaryFileLogo                    = RequestDefault("URLBinaryFileLogo", "http://www.aspsms.com/0003.bmp")

sURLBinaryFilePictureMessage          = RequestDefault("URLBinaryFilePictureMessage", "http://www.aspsms.com/PicMessage.bmp")

sURLBinaryFileRingtone                = RequestDefault("URLBinaryFileRingtone", "http://www.aspsms.com/Barbie.ott")

sVCardName                            = RequestDefault("VCardName", "")
sVCardPhoneNumber                     = RequestDefault("CardPhoneNumber", "")

sXSer                                 = RequestDefault("XSer", "01070605040B8423F00201F5")
sMessageDataBinHex                    = RequestDefault("MessageDataBinHex", "090601AE02056A0045C60D03617370736D732E636F6D2F696D672F6D6D732D73616D706C652E6769660001035469746C6520666F722061205741502D5075736820534D53000101")

nTimeZone                             = RequestDefault("TimeZone", "")
sDeferredDeliveryTime                 = RequestDefault("DeferredDeliveryTime", "")
nLifeTime                             = RequestDefault("LifeTime", "")
sURLBufferedMessageNotification       = RequestDefault("URLBufferedMessageNotification", "")
sURLDeliveryNotification              = RequestDefault("URLDeliveryNotification", "")
sURLNonDeliveryNotification           = RequestDefault("URLNonDeliveryNotification", "")

sWAPPushDescription                   = RequestDefault("WAPPushDescription", "")
sWAPPushURL                           = RequestDefault("WAPPushURL", "")

sDestinationUserKey                   = RequestDefault("DestinationUserKey", "")
nDestinationCredits                   = RequestDefault("DestinationCredits", "")

sRawXml                               = RequestDefault("RawXml", "")

'html
'-------------------------------------------------------
%>
<html>
<head><title><%=sXmlInterfaceUrl%></title>
<style type="text/css">

	td {
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
    }

    .formInputText {
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
	}

	.formInputTextNarrow {
		width: 20px;
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
	}

	.formInputTextWide {
		width: 700px;
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
	}

	.formTextareaWide {
		width: 700px;
        height: 100px;
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
	}

	.formInputSubmit {
		width: 220px;
		font-family: "Courier New", Courier, monospace;
		font-size: 8pt;
	}
</style>
</head>

<body>

<h1><a href="home.asp">aspsms_xml_vbscript_class</a></h1>

<p><a href="doc.htm" target="_blank">Documentation</a></p>

<table>
<form action="home.asp" method="post">

  <tr>
    <td>
LogXml:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="LogXml" value="<%=bLogXml%>"> (True/False)<br>
    </td>
  </tr>

<!--

  <tr>
    <td>
PasswordFileLocation:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="PasswordFileLocation" value="<%=sPasswordFileLocation%>"> (Local Path i.E. C:\credentials.txt)<br>
    </td>
  </tr>

-->

  <tr>
    <td>
Userkey:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="Userkey" value="<%=sUserkey%>"><br>
    </td>
  </tr>

  <tr>
    <td>
Password:<br>
    </td>
    <td>
<input class=formInputText type="Password" name="Password" value="<%=sPassword%>"><br>
    </td>
  </tr>

  <tr>
    <td>
AffiliateId:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="AffiliateId" value="<%=nAffiliateId%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
XmlInterfaceUrl:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="XmlInterfaceUrl" value="<%=sXmlInterfaceUrl%>" size="100"><br>
    </td>
  </tr>

  <tr>
    <td>
XmlServicesInterfaceUrl:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="XmlServicesInterfaceUrl" value="<%=sXmlServicesInterfaceUrl%>" size="100"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>


  <tr>
    <td>
nUsedCredits:<br>
    </td>
    <td>
<input class=formInputTextNarrow type="Text" name="UsedCredits" value="<%=nUsedCredits%>" size="100"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
Recipient:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="Recipient" value="<%=sRecipient%>"><br>
    </td>
  </tr>

  <tr>
    <td>
TransRefNumber:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="TransRefNumber" value="<%=sTransRefNumber%>"><br>
    </td>
  </tr>

  <tr>
    <td>
NotificationInquirySettingsFormat:<br>
    </td>
    <td>
<input class=formInputTextNarrow type="Text" name="NotificationInquirySettingsFormat" value="<%=nNotificationInquirySettingsFormat%>"><br>
    </td>
  </tr>

  <tr>
    <td>
NotificationInquirySettingsSeparator:<br>
    </td>
    <td>
<input class=formInputTextNarrow type="Text" name="NotificationInquirySettingsSeparator" value="<%=sNotificationInquirySettingsSeparator%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
Originator:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="Originator" value="<%=sOriginator%>"><br>
    </td>
  </tr>

  <tr>
    <td>
OriginatorUnlockCode:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="OriginatorUnlockCode" value="<%=sOriginatorUnlockCode%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
FlashingSMS:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="FlashingSMS" value="<%=bFlashingSMS%>"><br>
    </td>
  </tr>

  <tr>
    <td>
BlinkingSMS:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="BlinkingSMS" value="<%=bBlinkingSMS%>"><br>
    </td>
  </tr>

  <tr>
    <td>
ReplaceMessage:<br>
    </td>
    <td>
<input class=formInputTextNarrow type="Text" name="ReplaceMessage" value="<%=nReplaceMessage%>">(1-7)<br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td valign="Top">
MessageData:<br>
    </td>
    <td>
<textarea class="formTextareaWide" name="MessageData"><%=sMessageData%></textarea><br>
(plain text/binhex)<br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
MCC:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="MCC" value="<%=nMCC%>"><br>
    </td>
  </tr>

  <tr>
    <td>
MNC:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="MNC" value="<%=nMNC%>"><br>
    </td>
  </tr>

  <tr>
    <td>
URLBinaryFileLogo/GroupLogo:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLBinaryFileLogo" value="<%=sURLBinaryFileLogo%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
URLBinaryFilePictureMessage:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLBinaryFilePictureMessage" value="<%=sURLBinaryFilePictureMessage%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
URLBinaryFileRingtone:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLBinaryFileRingtone" value="<%=sURLBinaryFileRingtone%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
VCardName:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="VCardName" value="<%=sVCardName%>"><br>
    </td>
  </tr>

  <tr>
    <td>
VCardPhoneNumber:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="VCardPhoneNumber" value="<%=sVCardPhoneNumber%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>
  
  <tr>
    <td>
XSer:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="XSer" value="<%=sXSer%>"><br>
    </td>
  </tr>

  <tr>
    <td>
MessageData (BinHex):<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="MessageDataBinHex" value="<%=sMessageDataBinHex%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
TimeZone:<br>
    </td>
    <td>
<input class=formInputTextNarrow type="Text" name="TimeZone" value="<%=nTimeZone%>"><br>
    </td>
  </tr>

  <tr>
    <td>
DeferredDeliveryTime:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="DeferredDeliveryTime" value="<%=sDeferredDeliveryTime%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
LifeTime:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="LifeTime" value="<%=nLifeTime%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
URLBufferedMessageNotification:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLBufferedMessageNotification" value="<%=sURLBufferedMessageNotification%>"><br>
    </td>
  </tr>

  <tr>
    <td>
URLDeliveryNotification:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLDeliveryNotification" value="<%=sURLDeliveryNotification%>"><br>
    </td>
  </tr>

  <tr>
    <td>
URLNonDeliveryNotification:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="URLNonDeliveryNotification" value="<%=sURLNonDeliveryNotification%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
WAPPushDescription:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="WAPPushDescription" value="<%=sWAPPushDescription%>"><br>
    </td>
  </tr>

  <tr>
    <td>
WAPPushURL:<br>
    </td>
    <td>
<input class=formInputTextWide type="Text" name="WAPPushURL" value="<%=sWAPPushURL%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
DestinationUserKey:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="DestinationUserKey" value="<%=sDestinationUserKey%>"><br>
    </td>
  </tr>

  <tr>
    <td>
DestinationCredits:<br>
    </td>
    <td>
<input class=formInputText type="Text" name="DestinationCredits" value="<%=nDestinationCredits%>"><br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td valign="Top">
RawXml:<br>
    </td>
    <td>
<textarea class="formTextareaWide" name="RawXml"><%=sRawXml%></textarea><br>
(XML)<br>
<div style="text-align:right"><input class=formInputSubmit type="Submit" name="action" value="PostRawXmlXmlsvr"> <input class=formInputSubmit type="Submit" name="action" value="PostRawXmlServices"></div>
<br>
    </td>
  </tr>

  <tr><td colspan="2"><hr size="1"></td></tr>

  <tr>
    <td>
&nbsp;<br>
    </td>
    <td>
<input class=formInputSubmit type="Submit" name="action" value="SendTextSMS"> <input class=formInputSubmit type="Submit" name="action" value="InquireDeliveryNotifications"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendRandomLogo"> <input class=formInputSubmit type="Submit" name="action" value="ShowCredits"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendLogo"> <input class=formInputSubmit type="Submit" name="action" value="TransferCredits"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendGroupLogo"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendPictureMessage"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendRingtone"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendVCard"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendBinaryData"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendWAPPushSMS"><br>
<input class=formInputSubmit type="Submit" name="action" value="CheckOriginatorAuthorization"><br>
<input class=formInputSubmit type="Submit" name="action" value="SendOriginatorUnlockCode"><br>
<input class=formInputSubmit type="Submit" name="action" value="UnlockOriginator"><br>

    </td>
  </tr>
</form>
</table>
<%

'process form action
'-------------------------------------------------------
Select Case Request("action")

    Case "PostRawXmlXmlsvr"
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        SMS.RawXml                  = sRawXml
        SMS.PostRawXmlXmlsvr
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "PostRawXmlServices"
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        SMS.RawXml                  = sRawXml
        SMS.PostRawXmlServices
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "TransferCredits"
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey                 = sUserkey
        SMS.Password                = sPassword
        SMS.DestinationUserkey      = sDestinationUserkey
        SMS.DestinationCredits      = nDestinationCredits
        SMS.TransferCredits
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
        Response.Write "<pre>SMS.ErrorCode = " & Server.HTMLEncode(SMS.ErrorCode) & "</pre>"
        Response.Write "<pre>SMS.ErrorDescription = " & Server.HTMLEncode(SMS.ErrorDescription) & "</pre>"
    Set SMS = Nothing

    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword

        rCredits = SMS.Credits
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing
    Response.Write "<pre>Credits: " & rCredits & "</pre>" & vbCr

    Case "SendTextSMS"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.UsedCredits = nUsedCredits
        SMS.AddRecipient sRecipient, sTransRefNumber
        SMS.Originator   = sOriginator
        If bFlashingSMS Then
            SMS.FlashingSMS = bFlashingSMS
        End If
        If bBlinkingSMS Then
            SMS.BlinkingSMS = bBlinkingSMS
        End If
        If nReplaceMessage <> "" Then
            SMS.ReplaceMessage = nReplaceMessage
        End If
        SMS.MessageData  = sMessageData
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If nLifeTime <> "" Then
            SMS.LifeTime = nLifeTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendTextMessage
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendRandomLogo"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient sRecipient, sTransRefNumber
        SMS.Originator   = sOriginator
        SMS.MCC = nMCC
        SMS.MNC = nMNC
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime  = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendRandomLogo
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendLogo"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient  sRecipient, sTransRefNumber
        SMS.Originator    = sOriginator
        SMS.MCC           = nMCC
        SMS.MNC           = nMNC
        SMS.URLBinaryFile = sURLBinaryFileLogo
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendLogo
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendGroupLogo"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient  sRecipient, sTransRefNumber
        SMS.Originator    = sOriginator
        SMS.MCC           = nMCC
        SMS.MNC           = nMNC
        SMS.URLBinaryFile = sURLBinaryFileLogo
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendGroupLogo
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendPictureMessage"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient  sRecipient, sTransRefNumber
        SMS.Originator    = sOriginator
        SMS.URLBinaryFile = sURLBinaryFilePictureMessage
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendPictureMessage
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendRingtone"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient  sRecipient, sTransRefNumber
        SMS.Originator    = sOriginator
        SMS.URLBinaryFile = sURLBinaryFileRingtone
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendRingtone
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendVCard"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient sRecipient, sTransRefNumber
        SMS.Originator   = sOriginator

        SMS.VCardName        = sVCardName
        SMS.VCardPhoneNumber = sVCardPhoneNumber

        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendVCard
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendBinaryData"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient      sRecipient, sTransRefNumber
        SMS.Originator        = sOriginator
        'SMS.MCC               = nMCC
        'SMS.MNC               = nMNC
        SMS.XSer              = sXSer
        SMS.MessageData       = sMessageDataBinHex
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendBinaryData
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "InquireDeliveryNotifications"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword

        SMS.NotificationInquirySettingsFormat    = 0
        SMS.NotificationInquirySettingsSeparator = sNotificationInquirySettingsSeparator
        SMS.AddTransRefNumberForNotificationInquiry sTransRefNumber
        sNotifications = SMS.InquireDeliveryNotifications
        rCredits = SMS.Credits
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing
    Response.Write "<pre>" & sNotifications & "</pre>" & vbCr
    Response.Write "<pre>Credits: " & rCredits & "</pre>" & vbCr

    Case "ShowCredits"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword

        rCredits = SMS.Credits
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing
    Response.Write "<pre>Credits: " & rCredits & "</pre>" & vbCr

    Case "SendWAPPushSMS"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey  = sUserkey
        SMS.Password = sPassword
        SMS.AffiliateId = nAffiliateId
        SMS.AddRecipient  sRecipient, sTransRefNumber
        SMS.Originator    = sOriginator
        SMS.WAPPushDescription = sWAPPushDescription
        SMS.WAPPushURL = sWAPPushURL
        If sDeferredDeliveryTime <> "" Then
            If nTimeZone <> "" Then
                SMS.TimeZone             = nTimeZone
            End If
            SMS.DeferredDeliveryTime = sDeferredDeliveryTime
        End If
        If sURLBufferedMessageNotification <> "" Then
            SMS.URLBufferedMessageNotification = sURLBufferedMessageNotification
        End If
        If sURLDeliveryNotification <> "" Then
            SMS.URLDeliveryNotification = sURLDeliveryNotification
        End If
        If sURLNonDeliveryNotification <> "" Then
            SMS.URLNonDeliveryNotification = sURLNonDeliveryNotification
        End If
        SMS.SendWAPPushSMS
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "CheckOriginatorAuthorization"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey    = sUserkey
        SMS.Password   = sPassword
        SMS.Originator = sOriginator
        SMS.CheckOriginatorAuthorization
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "SendOriginatorUnlockCode"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey     = sUserkey
        SMS.Password    = sPassword
        SMS.MessageData = sMessageData
        SMS.Originator  = sOriginator
        SMS.SendOriginatorUnlockCode
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case "UnlockOriginator"
    '---------------------------------------------------------------------------
    Set SMS = New ASPSMS_XML
        SMS.XmlInterfaceUrl         = sXmlInterfaceUrl
        SMS.XmlServicesInterfaceUrl = sXmlServicesInterfaceUrl
        'SMS.PasswordFileLocation = sPasswordFileLocation
        SMS.Userkey     = sUserkey
        SMS.Password    = sPassword
        SMS.OriginatorUnlockCode  = sOriginatorUnlockCode
        SMS.Originator  = sOriginator
        SMS.UnlockOriginator
        If bLogXml Then
            Response.Write "<pre>" & Server.HTMLEncode(SMS.XmlLog) & "</pre>"
            'MsgBox SMS.XmlLog
        End If
    Set SMS = Nothing

    Case Else
    'do nothing

End Select

%>

</body>
</html>
